%global pypi_name py3dns

Name:               python-%{pypi_name}
Version:            3.2.1
Release:            %mkrel 1
Summary:            Python3 DNS library
Group:              Development/Python
License:            Python
URL:                https://pypi.org/project/py3dns/
Source0:            %{pypi_source}

# At buildtime, py3dns tries to read in /etc/resolv.conf and crashes if it
# doesn't exist.  Our koji builders don't have that file.  This patch just
# avoids the crash if that file is absent.
Patch0:             python3-py3dns-handle-absent-resolv.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=1561187
Patch1:             python3-py3dns-py3_friendly_warning.patch
BuildArch:          noarch

%description
This Python 3 module provides a DNS API for looking up DNS entries from
within Python 3 modules and applications. This module is a simple,
lightweight implementation.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This Python 3 module provides a DNS API for looking up DNS entries from
within Python 3 modules and applications. This module is a simple,
lightweight implementation.


%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info in case it exists
rm -rf %{distname}.egg-info

# Some files are latin-1 encoded but are incorrectly labelled as UTF-8 by
# upstream (see rhbz:620265)
#
# Convert them to actually be UTF-8, preserving the (now-correct) encoding
# declaration (preserving timestamps):
for file in DNS/Lib.py DNS/Type.py ; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

%build
%py3_build

%install
%py3_install

%files
%doc README.txt README-guido.txt CREDITS.txt CHANGES
%license LICENSE
%{python3_sitelib}/DNS
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/



%changelog
* Wed Nov 11 2020 guillomovitch <guillomovitch> 3.2.1-1.mga8
+ Revision: 1644628
- rename source package
- new version 3.2.1
  rename source package to python-py3dns

* Sun Feb 16 2020 umeabot <umeabot> 3.1.1-13.mga8
+ Revision: 1533674
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 3.1.1-12.mga8
+ Revision: 1444888
- rebuild for python-3.8

* Tue Jan 08 2019 tv <tv> 3.1.1-11.mga7
+ Revision: 1352086
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 3.1.1-10.mga7
+ Revision: 1290589
- Mageia 7 Mass Rebuild

* Sun Sep 02 2018 ngompa <ngompa> 3.1.1-9.mga7
+ Revision: 1256174
- Adapt for Mageia
- imported package python3-py3dns

